Bug 732947 - (CVE-2011-3266) CVE-2011-3266 Wireshark proto_tree_add_item DoS
CVE-2011-3266 Wireshark proto_tree_add_item DoS
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20110728,reported=20110823,sou...
: Security
Depends On:
Blocks: 737788
  Show dependency treegraph
 
Reported: 2011-08-24 05:02 EDT by Mark J. Cox (Product Security)
Modified: 2011-09-13 01:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-12 05:41:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2011-08-24 05:02:08 EDT
A vulnerability was reported in Wireshark.  A remote user can send a specially crafted IKE packet to cause the IKEv1 dissector to enter an infinite loop.  The vulnerability resides in the proto_tree_add_item() function in 'tshark.c'.
http://www.securityfocus.com/archive/1/archive/1/519049/100/0/threaded

Not yet acknowledged by Wireshark upstream, no testing done yet to determine affected versions.

Statement:

This issue does not affect the version of wireshark shipped with Red Hat Enterprise Linux 4, 5 and 6.

Note You need to log in before you can comment on or make changes to this bug.